Ae and axe drivers now have altq support?



  • After an HW platform upgrade and a SW upgrade to pfSense 1.23 I tried to redo the traffic shaper wizard.
    The wizard tells me one of my interfaces drivers is not compatible with altq.
    I checked the sources of ae and axe drivers and it looks they have been patched for altq.

    axe:
    IFQ_DRV_DEQUEUE(&ifp->if_snd, m);
    ae:
    IFQ_DRV_DEQUEUE(&ifp->if_snd, m0);

    I'm not sure about axe, cause it's a usb driver and I really don't understand how it works. Seems most of the work is done elsewhere.
    Could someone confirm that?
    I'm using the shaper and it looks working well with axe.


Log in to reply